local world_path = minetest.get_worldpath()
local settings = Settings(world_path.."/assets_warehouse.conf")


model_detail = settings:get("assets_warehouse_model_quality") or 2
texture_detail = settings:get("assets_warehouse_texture_quality") or 2
local idioma = settings:get("assets_warehouse_idioma") or "espanol"

local parte1 = "textarea[0.1,10;40,40;;;Some objects are just deco like the heart,pole,start,flowers,fence,this objects usually just appear as deco in the serie(some flowers in one chapter accidentally go to Proud heart cat)]"
local parte2 = "textarea[0.1,50;40,40;;;A try to made a node like a cloud]"
local parte3 = "textarea[0.1,100;40,40;;;This is a tall tree full of many leaves whith heart shape ]"
local parte4 = "textarea[0.1,150;40,40;;;This is popcorn machine whith fur of beast in then ]"
local parte5 = "textarea[0.1,200;40,40;;;Two pies full of little bears hair,heat this pies will make you want to hug and thug others ]" 
local parte6 = "textarea[0.1,250;40,40;;;Part of the Proud heart cat garden some monkey likes to use them to run ]"
local parte7 = "textarea[0.1,300;300,10;;;More objects ]" 
local parte8 = "textarea[0.1,380;40,40;;;The Caring Meter is who warning the Care Bears of when theres problems]"
local parte9 = "textarea[0.1,420;90,40;;;Air transport who can reach the sky,beware of giants and storms]"

if idioma == "espanol" then
    parte1 = "textarea[0.1,10;40,40;;;Algunos objetos son solo decoracion como el corazon,la estrella,las flores,la cerca,estos objetos usualmente solo aparecen como decoracion en la serie(algunas flores en un capitulo accidentalmente fueron al gato Proud Heart)]"
    parte2 = "textarea[0.1,50;40,40;;;Un nodo en forma de nube]"
    parte3 = "textarea[0.1,100;40,40;;;Este es un arbol alto con muchas hojas en forma de corazon ]"
    parte4 = "textarea[0.1,150;40,40;;;Esta es una maquina de palomitas con pelaje de bestia en el ]"
    parte5 = "textarea[0.1,200;40,40;;;Dos pasteles llenos con el cabello de pequeños osos,comer estos pasteles te haran querer dar cariños y abrazos]"
    parte6 = "textarea[0.1,250;40,40;;;Parte de el jardin de el gato Proud Heart,a cierto mono le gusta usarlos para correr]"
    parte7 = "textarea[0.1,300;300,10;;;Mas objetos ]" 
    parte8 = "textarea[0.1,380;40,40;;;El medidor del cariño es quien advierte a los Care Bears cuando hay problemas]"
    parte9 = "textarea[0.1,420;90,40;;;Transporte aereo que puede alcanzar el cielo,cuidado con las tormentas gigantes]"
    
end   

local formspec_care_bears = {
    "formspec_version[4]",
    "size[100,100]",
    "anchor[0.5,0.5]",
    "padding[0.0,0.0]",
    "scrollbaroptions[min=0,max=200,smallstep=10,largestep=20,thumbsize=10,arrows=default]",
    "scrollbar[95,0;5,100;vertical;'testscroll';]",
    "scroll_container[1.10,0.0;90,100;'testscroll';vertical;0.4]",
    parte1,
    "model[40,10;15,15;'care_bears_heart';care_bears_heartMD2.obj;care_bears_heart.png;]",
    "model[55,10;15,15;'care_bears_start';care_bears_starMD2.obj;care_bears_star.png;]",
    "model[70,10;15,15;'care_bears_heart_flowers';care_bears_heart_flowersMD2.obj;care_bears_heart_flowers.png;]",
    "model[40,25;15,15;'care_bears_heart_flower2';care_bears_heart_flower2MD2.obj;care_bears_heart_flower2.png;]",
    "model[55,25;15,15;'care_bears_pole';care_bears_poleMD2.obj;care_bears_pole.png;]",
    "model[70,25;15,15;'care_bears_fence';care_bears_fence.obj;care_bears_fence.png;]",
    "model[40,40;15,15;'care_bears_basquet';care_bears_basquetMD2.obj;care_bears_basquet.png;]",
    "model[55,40;15,15;'care_bears_box';care_bears_box.obj;care_bears_box.png;]",
    
    parte2,
    "model[40,50;40,50;'care_bears_cloud_block';care_bears_cloud_blockMD2.obj;care_bears_cloud_block.png;]",
    
    parte3,
    "model[40,100;55,40;'care_bears_tree';care_bears_tree.obj;care_bears_tree.png;]",
    
    parte4,
    "model[40,150;55,40;'care_bears_popcornmachine';care_bears_popcornmachine.obj;care_bears_popcornmachine.png;]",
    
    parte5,
    "model[40,200;40,15;'care_bears_pie';care_bears_pie.obj;care_bears_pie.png;]",
    "model[40,220;40,15;'care_bears_pie2';care_bears_pie2.obj;care_bears_pie2.png;]",
    
    parte6,
    "model[40,240;60,40;'care_bears_garden_umbrella';care_bears_garden_umbrella.obj;care_bears_garden_umbrella.png;]",
    "model[45,270;40,20;'care_bears_table';care_bears_tableMD2.obj;care_bears_table.png;]",
    
    parte7,
    "model[0.1,300;40,15;'care_bears_writtingmachine';care_bears_writtingmachineMD2.obj;care_bears_writtingmachine.png;]",
    "model[0.1,320;40,15;'care_bears_caring_compas';care_bears_caring_compaspreview.obj;care_bears_caring_compas.png;]",
    "model[25,300;40,15;'care_bears_littlechest';care_bears_littlechestcatalog.obj;care_bears_littlechest.png;]",
    "model[25,320;40,15;'care_bears_armchair';care_bears_armchair.obj;care_bears_armchair.png;]",
    "model[42,290;40,45;'care_bears_decosignal';care_bears_decosignal.obj;care_bears_decosignal.png;]",
    "model[67,290;40,45;'care_bears_granma_bear_bed';care_bears_granma_bearcatalog.obj;care_bears_granma_bear_bed.png;]",
    "model[0.1,340;40,15;'care_bears_oven';care_bears_oven.obj;care_bears_oven.png;]",
    "model[25,340;40,15;'care_bears_blender';care_bears_blender_catalog.obj;care_bears_blender.png;]",
    "model[50,340;40,15;'care_bears_showercloud';care_bears_showercloudMD2.obj;care_bears_showercloud.png;]",
    
    parte8,
    "model[40,380;50,25;'care_bears_care_meter';care_bears_care_meterMD2.obj;care_bears_care_meter.png;]",
    
    parte9,
    "model[0,430;100,50;'care_bears_air_glove';care_bears_air_gloveMD2.obj;care_bears_air_glove.png;]",
    
    "scroll_container_end[]",   
}

formspec_care_bears =  table.concat(formspec_care_bears, "")

minetest.register_tool("assets_warehouse:care_bears_catalog", {
    description = "care_bears_catalog",
    tiles = "care_bears_catalog.png",
    inventory_image = "care_bears_catalog.png",
    wield_image = "care_bears_catalog.png",
    groups = {cracky = 1},
    on_use = function(itemstack, player, pointed_thing)
        local playerpos = player:get_pos()
        local playername = player:get_player_name()
        local pos = player:get_pos()
        local dir = player:get_look_dir()
        local yaw = player:get_look_horizontal()
        local power = 50
        if pointed_thing.type == "node" then
            minetest.show_formspec(playername, "assets_warehouse:",formspec_care_bears) 
        else 
            minetest.show_formspec(playername, "assets_warehouse:testformspec",formspec_care_bears)    
        end
    end,
    on_receive_fields = function(pos, formname, fields, player)
        if fields.quit then
            return
        end

        print(fields.x)
    end
})